### Method

# Foundry DiagnosticManager list_all

#### Declaration [src]

    DexFuture*
    foundry_diagnostic_manager_list_all (
      FoundryDiagnosticManager* self
    )

#### Description [src]

Lists all known diagnostics from all providers.

This will call `foundry_diagnostic_provider_list_all()` for every available diagnostic provider.

The list may update after the future resolves if providers implement live updating of models.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryDiagnostic`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.